﻿@{
    /**/

    ViewBag.Title = "Uploads";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}
<link href="~/Content/Site.css" rel="stylesheet" />

<!-- Bootstrap core CSS -->
<script src="~/Scripts/sweetalert.min.js"></script>
<link href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css" rel="stylesheet" />
<link href="~/Content/Site.css" rel="stylesheet" />

<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-user"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink("Uploads", "Uploads", "Dashboard")
            }
        </li>
    </ol>

    <div style="display:flex;align-items:center">
        <h3 style="margin:0">Uploads</h3>
        <div class="mr-30" style="margin: 0 11px 0 auto;">
            <button type="button" class="btn btn-large btn-primary" id="NewUploads" onclick="AddUploads();">Add Uploads</button>
        </div>
    </div>
    <div id="clientTotalDetails" style="overflow-x: scroll;">
    </div>
    <div id="client" style="overflow-x: scroll;margin-top:2%;">
    </div>
</section>

<script src="~/Scripts/Kendo/jquery.min.js"></script>
<link rel="stylesheet" href="https://kendo.cdn.telerik.com/2019.3.1023/styles/kendo.default-v2.min.css" />
<script src="~/Scripts/Kendo/kendo.all.min.js"></script>
<link href="~/Scripts/Kendo/kendo.default-v2.min.css" rel="stylesheet" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/css/bootstrap-multiselect.css">

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.13/js/bootstrap-multiselect.js"></script>

<script>
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]'+"thum_ArtWork_36/";
    var Originalimagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]'+"ArtWork/";
    var imgpath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]' + "UserProfile/";
    $(document).ready(function () {

        $('#showHide_id').multiselect({
            includeSelectAllOption: true,
            nonSelectedText: 'Hide/Show column'
		});

		debugger;
		var SessionUsr_Role = '@Session["usr_Role"]';
		var SessionUsr_UserId = '@Session["usr_UserId"]';
		var userID = "";
		if (SessionUsr_Role != "" && SessionUsr_Role != undefined && SessionUsr_Role != 1) {
			userID = SessionUsr_UserId;
		}
		//var userID = localStorage.getItem("userID");

		if (userID != "") {
			$(".arrows").html("");
			$(".arrows").append('<li><i class="fa fa-user"></i><a href="/Admin/Dashboard/User">Users</a><i class="fa fa-angle-right"></i></li>');
			$(".arrows").append('<li><a href="/Admin/Dashboard/AddUser?Length=9" id="innerLink">User Edit</a><i class="fa fa-angle-right"></i></li>');
			$(".arrows").append('<li><a href="/Admin/Dashboard/Uploads">Uploads</a></li>');
		}

        var dataSource = @Html.Raw(Json.Encode(ViewData["User_Art_UploadList"]));
        var UserDetailsList = @Html.Raw(Json.Encode(ViewData["UserDetailsList"]));
		if (userID != "")
        {
            var userdata = getObjects(dataSource, 'usr_UserId', userID);
            var UserDetails = getObjects(UserDetailsList, 'usr_UserId', userID);
            dataSource = userdata;
            UserDetailsList = UserDetails;
        }
        var gridTotalDetails = $("#clientTotalDetails").kendoGrid({
            dataSource: {
                data: UserDetailsList,
                schema: {
                    model: {
                        fields: {
                            TotalofStatus: { type: "number" },
                            Comments: { type: "number" },
                            Visited: { type: "number" },
                            BookMark: { type: "number" },
                            artLike: { type: "number" },
                        }
                    }
                }
            },
            filterable: true,
            //pageable: {
            //    alwaysVisible: true,
            //    // pageSizes: [5, 10, 20, 100],
            //    pageSize: 20
            //},
            previousNext: true,
            scrollable: true,
            width: 800,
            resizable: true,
            toolbar: ["search"],
            // height: 550,
            sortable: {
                mode: "multiple",
                allowUnsort: true,
                showIndexes: true
            },
            columns: [{
                field: "Totals",
                title: "TOTALS",
                width: 80,
                filterable: false

            },
				{
				    field: "Uploads",
				    title: "Uploads",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				}
                ,
				{
				    field: "TotalofStatus",
				    title: "Total of Status",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				},
				{
				    field: "Comments",
				    title: "Comments",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				},
				{
				    field: "Visited",
				    title: "Visited",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				},
				{
				    field: "BookMark",
				    title: "Fav",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				},
				{
				    field: "artLike",
				    title: "Likes",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				}
            ]

        }).data("kendoGrid");

        console.log(dataSource);
        var grid = $("#client").kendoGrid({
            dataSource: {
                data: dataSource,
                schema: {
                    model: {
                        fields: {
                            Comment: { type: "number" },
                            Visited: { type: "number" },
                            BookMark: { type: "number" },
                            artLike: { type: "number" },
                        }
                    }
                }
            },
            filterable: true,

            pageable: {
                alwaysVisible: true,
                // pageSizes: [5, 10, 20, 100],
                pageSize: 20
            },
            previousNext: true,
            scrollable: true,
            width: 800,
            resizable: true,
            toolbar: ["search"],
            // height: 550,
            sortable: {
                mode: "multiple",
                allowUnsort: true,
                showIndexes: true
            },
            columns: [{
				field: "SR",
                title: "ID",
                width: 80,
                filterable: false

            },
                {
                    title: "Avatar",
                    width: 100,
                    template: function (dataItem) {

                        var igm = imgpath + dataItem.usr_Image;
                        var imgdefalt = imgpath + "user-image.png";
                        if (dataItem.usr_Image != null) {
                            return '<img src=' + igm + ' style="height:20px;width:20px; border-radius:50%" />'
                        }
                        else {
                            return '<img src=' + imgdefalt + ' style="height:20px;width:20px; border-radius:50%" />'
                        }
                    }
                },
				{
					field: "usr_FullName",
					title: "User Name",
					width: 200,
					filterable: {
						multi: true
					}
				},

				{
					//field: "artw_image",
					title: "Image",
					width: 100,
					height: 20,
					template: function (dataItem) {

						if (dataItem.artw_image != null) {
						    var igm = imagespath + dataItem.artw_image.replace(' ', '%20');
                            var Originaligm = Originalimagespath + dataItem.artw_image.replace(' ', '%20');
						}
						else {
						    var igm = t = Originaligm = imagespath + "user-image.png";
						}
						var imgdefalt = imgpath + "user-image.png";
						if (dataItem.artw_image != null) {
						    return '<a class="fancybox" href='+ Originaligm + '><img src=' + igm + ' style="height:20px;width:20px; border-radius:50%" /></a>'
						}
						else {
						    return '<a class="fancybox" href='+ Originaligm + '><img src=' + imgdefalt + ' style="height:20px;width:20px; border-radius:50%" /></a>'
						}
					}
				},
			{
			    field: "",
			    title: "Title",
			    width: 120,
			    filterable: {
			        multi: true
			    }
			},
				{
					field: "artw_arts_Name",
				    title: "Artist",
				    width: 80,
				    filterable: {
				        multi: true
				    },
				},

			{
				field: "CreatedDate",
			    title: "Upload date",
			    width: 100,
			    filterable: {
			        multi: true
			    }

			},
			{
				field: "ArtStatus",
			    title: "Art status",
			    width: 100,
			    filterable: {
			        multi: true
			    },

			},
			{
			    field: "Country",
			    title: "Country",
			    width: 130,
			    filterable: {
			        multi: true
			    },
			},

			{
			    field: "Comment",
			    title: "Comments",
			    width: 80,
			    filterable: {
			        multi: true
			    },
			},

			{
			    field: "Visited",
			    title: "Visited",
			    width: 80,
			    filterable: {
			        multi: true
			    },

			},
				{
				    field: "BookMark",
				    title: "Fav",
				    width: 80,
				    filterable: {
				        multi: true
				    },

				},
					{
					    field: "artLike",
					    title: "Likes",
					    width: 80,
					    filterable: {
					        multi: true
					    },
					}
            ]

        }).data("kendoGrid");

    });

    function getObjects(obj, key, val) {
        var objects = [];
        for (var i in obj) {
            if (!obj.hasOwnProperty(i)) continue;
            if (typeof obj[i] == 'object') {
                objects = objects.concat(getObjects(obj[i], key, val));
            } else if (i == key && obj[key] == val) {
                objects.push(obj);
            }
        }
        return objects;
    }
</script>